com.sun.java.xml.ns.persistence

## Class Persistence.PersistenceUnit.Properties

- java.lang.Object
- - com.sun.java.xml.ns.persistence.Persistence.PersistenceUnit.Properties

- Enclosing class:
    Persistence.PersistenceUnit

      public static class Persistence.PersistenceUnit.Properties
      extends Object

  Java-Klasse für anonymous complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="property" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Persistence.PersistenceUnit.Properties.Property` Java-Klasse für anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Persistence.PersistenceUnit.Properties.Property>` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Properties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Persistence.PersistenceUnit.Properties.Property>` | `getProperty()` Gets the value of the property property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### property

          protected List<Persistence.PersistenceUnit.Properties.Property> property

  - ### Constructor Detail

    - #### Properties

          public Properties()

  - ### Method Detail

    - #### getProperty

          public List<Persistence.PersistenceUnit.Properties.Property> getProperty()

      Gets the value of the property property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the property property.

      For example, to add a new item, do as follows:

              getProperty().add(newItem);

      Objects of the following type(s) are allowed in the list `Persistence.PersistenceUnit.Properties.Property`

Copyright © 2015 buschmais GbR. All rights reserved.